Bug 962094 - Does not work on s390*
Does not work on s390*
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libwebp (Show other bugs)
7.0
s390x Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: 960121
  Show dependency treegraph
 
Reported: 2013-05-11 13:43 EDT by Roman Rakus
Modified: 2014-01-12 19:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 09:56:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lena.webp (3.78 KB, application/octet-stream)
2013-05-13 08:51 EDT, Roman Rakus
no flags Details
lena.png (36.84 KB, image/png)
2013-05-13 08:55 EDT, Roman Rakus
no flags Details

  None (edit)
Description Roman Rakus 2013-05-11 13:43:54 EDT
Description of problem:
library does not work on s390* architecture

Version-Release number of selected component (if applicable):
libwebp-0.2.1-3.el7.s390x

How reproducible:
Comment 1 Roman Rakus 2013-05-11 13:48:27 EDT
This is blocking python-pillow build, where it fails on webp tests.
Locally on s390 machine:
# ./dwebp /tmp/lena.webp -o ~/lena_webp_bits.png
Decoding of /tmp/lena.webp failed.
Status: 5 (SUSPENDED)

/tmp/lena.webp is created locally by:
# ./cwebp ~/rpmbuild/BUILD/python-imaging-Pillow-d1c6db8/Images/lena.png -o /tmp/lena.webp
Comment 3 Martin Stransky 2013-05-13 08:15:08 EDT
Do we even need the webp and/or python-pillow on s390?
Comment 4 Martin Stransky 2013-05-13 08:36:07 EDT
Can you attach the affected image?
Comment 5 Roman Rakus 2013-05-13 08:45:13 EDT
It's really good question.

$ repoquery --whatrequires --recursive python-pillow 
hplip-0:3.13.4-1.el7.x86_64
hplip-gui-0:3.13.4-1.el7.x86_64
python-docutils-0:0.10-0.8.20120824svn7502.el7.noarch
python-pillow-devel-0:1.7.8-6.20130305git7866759.el7.i686
python-pillow-devel-0:1.7.8-6.20130305git7866759.el7.x86_64
python-pillow-doc-0:1.7.8-6.20130305git7866759.el7.noarch
python-pillow-sane-0:1.7.8-6.20130305git7866759.el7.x86_64
python-pillow-tk-0:1.7.8-6.20130305git7866759.el7.x86_64
python-pygments-0:1.4-8.el7.noarch
python-reportlab-0:2.5-7.el7.x86_64
python-reportlab-docs-0:2.5-7.el7.x86_64
python-sphinx-0:1.1.3-7.el7.noarch
python-sphinx-doc-0:1.1.3-7.el7.noarch
texlive-collection-latexextra-2:svn29651.0-22.20130427_r30134.el7.noarch
texlive-minted-2:svn24002.1.7-22.el7.noarch
texlive-scheme-full-2:svn21417.0-22.20130427_r30134.el7.noarch


I can look if it is possible to easily turn off webp support in python-pillow. But the fixed webp is the best way.
Comment 6 Roman Rakus 2013-05-13 08:47:32 EDT
(In reply to comment #4)
> Can you attach the affected image?

They are part of python-pillow package, but I will attach them (webp and png)
Comment 7 Roman Rakus 2013-05-13 08:51:41 EDT
Created attachment 747222 [details]
lena.webp
Comment 8 Roman Rakus 2013-05-13 08:55:45 EDT
Created attachment 747223 [details]
lena.png
Comment 9 Roman Rakus 2013-05-13 09:08:06 EDT
Just a note: It's easy to not include webp support (just don't require libwebp-devel package).
Comment 10 Martin Stransky 2013-05-13 09:10:16 EDT
Thanks. It would make sense to disable the webp support for s390(x) only. I don't expect someone misses that.
Comment 11 Martin Stransky 2013-06-12 09:56:02 EDT
Please disable the the webp support for s390(x).

Note You need to log in before you can comment on or make changes to this bug.